export function WindowComponent(id: any, name: any, options: any, pubsub: any, windowWidth?: number, windowHeight?: number, emitChanged?: boolean): void;
export class WindowComponent {
    constructor(id: any, name: any, options: any, pubsub: any, windowWidth?: number, windowHeight?: number, emitChanged?: boolean);
    options: any;
    pubsub: any;
    dom: any;
    id: any;
    name: any;
    window_width: number;
    window_height: number;
    browserSettingsReady: boolean;
    renderReady: boolean;
    restoredFromCache: boolean;
    emitChanged: boolean;
    toolId: any;
    INTERACTION_STATE: {
        NONE: number;
        MOVE_MODAL: number;
        RESIZE_MODAL: number;
    };
    interactiveState: number;
    modalOffset: {
        old_x: number;
        old_y: number;
        new_x: number;
        new_y: number;
    };
    modalSize: {
        width: number;
        height: number;
        top: number;
        left: number;
    };
    mouseDown: (e: any) => void;
    mouseUp: () => void;
    mouseMove: (e: any) => void;
    GetRootId(): string;
    GetRoot(): HTMLElement | null;
    GetMove(): HTMLElement | null;
    GetClose(): HTMLElement | null;
    GetContent(): HTMLElement | null;
    GetPreContent(): HTMLElement | null;
    HideLoading(): void;
    ShowLoading(): void;
    ToggleHide(): void;
    Visible(): boolean;
    Hide(): void;
    Unhide(): void;
    HideContent(): void;
    UnhideContent(): void;
    GetMessage(): HTMLElement | null;
    SetWindowMessage(header: any, body: any, iconCss?: null): void;
    HideWindowMessage(): void;
    ShowWindowMessage(): void;
    GetMessageBody(): HTMLElement | null;
    GetMessageHeader(): HTMLElement | null;
    GetTitle(): HTMLElement | null;
    SetTitle(title: any): void;
    dispose(): void;
    SetZOrder(zOrder: any): void;
    CenterWindow(): void;
    handleMouseUp(): void;
    handleMouseDown(e: any): void;
    handleMouseMove(e: any): void;
    updateWindowSize(): void;
    updateWindowPosition(): void;
    onWindowReady(): void;
    onBrowserSettingsReady(browserSettingsController: any): void;
    onWindowComponentShouldClose(id: any): void;
    createComponent(): void;
    onTouched(): void;
    getFooter(): HTMLElement | null;
}
